Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: Noam Postavsky <[email-masked]>
Date: Mon, 17 Jul 2017 12:38:20 -0400

On Mon, Jul 17, 2017 at 12:10 PM, Keith David Bershatsky
<[email-masked]> wrote:
>> Can you clarify if it works outside eshell?
>
> Thank you for taking a look at this bug report.  I just tried building master branch from Terminal.app on OSX 10.6.8 -- without using Emacs -- and I had the same results.  I.e., it stops when it gets to   "ELC org/org-timer.elc".  There is no error message.

Okay, so not an eshell problem then. Is it an infloop stop (i.e.,
maxing out CPU) or waiting for input type of stop? Please try with
'make V=1' to get the exact command being run, and then try running
that command adding '--eval (setq debug-on-quit t)' and removing
'-batch'. If you can't get a lisp trace with C-g using that method,
try running the command under gdb to get a C backtrace.

On Mon, Jul 17, 2017 at 11:18 AM, Keith David Bershatsky
<[email-masked]> wrote:
> ~/Desktop $ git clone -b master git://git.sv.gnu.org/emacs.git
> Cloning into 'emacs'...
[...]
> Checking out files: 100% (3773/3773), done.
>
> ~/Desktop $ cd emacs
>
> ~/Desktop/emacs $ ./autogen.sh
> Checking whether you have the necessary tools...
> (Read INSTALL.REPO for more details on building Emacs)
> Checking for autoconf (need at least version 2.65) ... ok
> Your system has the required tools.
> Building aclocal.m4 ...
> Running 'autoreconf -fi -I m4' ...
> ./autogen.sh: line 274: git: command not found

Hmm, I wonder how come ./autogen.sh can't find 'git'? Shell alias?
Sneaky $PATH change?